Bug 386 - Winbind name lookup fails
Winbind name lookup fails
Status: RESOLVED FIXED
Product: Samba 3.0
Classification: Unclassified
Component: winbind
3.0.11
All Linux
: P3 major
: none
Assigned To: Jeremy Allison
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2003-09-02 01:59 UTC by Rainer Hussmann
Modified: 2006-03-01 09:33 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Rainer Hussmann 2003-09-02 01:59:03 UTC
Here are the good news:
winbindd doesn't crash anymore if german characters like öäü are used in user or
group names.

The bad news:
The lookup of user or group names containing these characters fails.

Trying "wbinfo -n DOMAIN\Domänen-Admins" creates the following entry in log.winbind:

[2003/09/02 10:37:51, 0] rpc_client/cli_pipe.c:rpc_api_pipe(419)
  cli_pipe: return critical error. Error was Call timed out: server did not resp
ond after 10000 milliseconds


Asking for users/groups without these characters works without problems.

Samba is set up as an additional server in an exsting NT4-Domain.
security = domain
password server = *

Many lookups fail because of the german standard groups
Domänen-Benutzer
Domänen-Admins

Everyone with one of these as the primary group has problems accessing shares.
E.g. opening a shared printer takes 10 seconds (timeout of rpc-call) and no
print jobs are displayed.
Comment 1 Rainer Hussmann 2003-09-08 23:37:19 UTC
With rc3 "wbinfo -n DOMAIN\\Domänen-Admins" just returns
'Could not lookup name DOMAIN\Domänen-Admins'
No additional log entries.

Lookup on names without öäü works still without problems.
Comment 2 Gerald (Jerry) Carter 2003-09-10 07:32:35 UTC
Jeremy, here's the problem you predicted in winbindd.
Comment 3 Jeremy Allison 2003-09-11 18:12:09 UTC
Damn damn damn. I don't think we can get this fixed
for official 3.0. It'll be in the first 3.0.1 release
though :-(.

I'll have to change the winbindd protocol to include 
a locale specifier in the packet format.

Jeremy.
Comment 4 Gerald (Jerry) Carter 2003-12-12 08:28:06 UTC
reseting target milestone.  3.0.1 has been frozen.  WIll have to 
re-evaluate these.
Comment 5 Guenther Deschner 2006-01-19 21:56:51 UTC
This has been fixed a long time ago, right?
Comment 6 Gerald (Jerry) Carter 2006-02-27 14:02:35 UTC
Guenther, I do not this this is fixed yet.
Comment 7 Gerald (Jerry) Carter 2006-03-01 09:33:49 UTC
False alarm.